# -*- coding: utf-8 -*-
"""
Created on Sun Apr 28 15:42:14 2024

@author: matth
"""

from glob import glob
import h5py
import numpy as np

basename=r'D:\data\TEMP\TEMP31_static_*.*'

files=glob(basename)

sfile=basename[:basename.rfind('_')]+'.h5'
if len(glob(sfile)) != 0:
    print('Remove identical file '+sfile)
else:
    sf=h5py.File(sfile, 'w')
    fr=h5py.File(files[0], 'r')
    sf.create_dataset('spectra',(fr['spectra'][...].shape[0],len(files),fr['spectra'][...].shape[2]))#detector.nchan))#,dtype='l')
    sf.create_dataset('status',(fr['status'][...].shape[0],len(files),64),dtype='l')
    sf.create_dataset('position',(fr['position'][...].shape[0],len(files),fr['position'][...].shape[2]))
    fr.close()
    for fnum,fnam in enumerate(files):
        fr=h5py.File(fnam, 'r')
        sf['spectra'][:,fnum,:]=fr['spectra'][:,0,:]
        sf['status'][:,fnum,:]=fr['status'][:,0,:]
        sf['position'][:,fnum,:]=fr['position'][:,0,:]
        fr.close()
    sf.close()
        