# -*- coding: utf-8 -*-
"""
Created on Mon Jun 01 17:45:12 2015

@author: Matthias
"""

import numpy as np
import h5py
#
#def readdms(filein=u'C:\data\mxrf1211\dmims\corrected\ja_ja_0__jaja_sum.spe_1.1.1.1.dms'):
#f=open(filein,'rb')
#td=f.readline()
#dim=np.fromstring(f.readline(),sep=' ',dtype=int)
#res=np.zeros((dim[1],dim[0],dim[2]))
#for i in range(dim[2]):
#    td=f.read(dim[0]*dim[1]*4)
#    res[:,:,i]=np.frombuffer(td,dtype=np.float32).reshape(dim[1],dim[0])


def dms2hdf5(filein=r'C:\data\data_NNMA\totalB.dms',fileout=None):
    if fileout == None:
        fileout=filein[:-3]+'h5'
    f=open(filein,'rb')
    td=f.readline()
    dim=np.fromstring(f.readline(),sep=' ',dtype=int)
    fw=h5py.File(fileout,'w')
    fw.create_dataset('fitted_data',shape=(dim[1],dim[0],dim[2]))
    #res=np.zeros((dim[1],dim[0],dim[2]))
    for i in range(dim[2]):
        fw['fitted_data'][:,:,i]=np.frombuffer(f.read(dim[0]*dim[1]*4),dtype=np.float32).reshape(dim[1],dim[0])    
    ele=f.readlines(dim[2])
    for i in range(len(ele)):
        ele[i]=ele[i].strip()   
    fw.create_dataset('ele',data=ele)
    f.close()
    fw.close()
    print filein, ' was converted to ',fileout     


def resizehdf5(filein=r'C:\data\data_NNMA\totalB.h5',fileout=None,scale=0.25):
    if fileout == None:
        fileout=filein[:-3]+'_resize.h5'
        fi=h5py.File(filein,'r')
        fo=h5py.File(fileout,'w')
    try:
        dimi=np.asarray(fi['fitted_data'].shape)
        dimo=dimi[...]*1+0
        dimo[0]=np.int(dimo[0]*scale)    
        dimo[1]=np.int(dimo[1]*scale)    
        diml=dimi*1+0
        diml[0]=np.int(dimi[0]-np.remainder(dimi[0],1./scale))
        diml[1]=np.int(dimi[1]-np.remainder(dimi[1],1./scale))
        fo.create_dataset('fitted_data',shape=dimo)
        for i in range(dimo[2]):
            fo['fitted_data'][:,:,i]=fi['fitted_data'][:diml[0],:diml[1],i].reshape((dimo[0],dimi[0]/dimo[0],dimo[1],dimi[1]/dimo[1])).mean(3).mean(1)
        
        fo.create_dataset('ele',data=fi['ele'][...])
        fi.close()
        fo.close()
        print filein, ' was converted to ',fileout, ' with a scale factor of ', scale  
    except:
        fi.close()
        fo.close()
        print 'something went wrong'