# -*- coding: utf-8 -*-
"""
Created on Tue Aug 30 13:54:08 2016

@author: brageu
"""

import sys
sys.path.append(r'C:\Windows\System32')
sys.path.append(r'C:\Program Files (x86)\Thorlabs\Kinesis')
sys.path.append(r'C:\Users\Public\xrf_scanner')


import ctypes
import glob
import inspect

#	enum MOT_MotorTypes
#	{
#		MOT_NotMotor = 0,
#		MOT_DCMotor = 1,
#		MOT_StepperMotor = 2,
#		MOT_BrushlessMotor = 3,
#		MOT_CustomMotor = 100,
#	};


class TLI_DeviceInfo(ctypes.Structure):
    _fields_ = [
        ("typeID", ctypes.c_ulong),
   #     ("description", ctypes.create_string_buffer(65)),
        ("description", (ctypes.c_ubyte * 65)),
        ("serialNo", (ctypes.c_ubyte * 9)),
        ("PID", ctypes.c_ulong),
        ("isKnownType", ctypes.c_bool),
        ("MOT_MotorTypes", ctypes.c_uint),
        ("isPiezoDevice", ctypes.c_bool),
        ("isLaser", ctypes.c_bool),
        ("isCustomType", ctypes.c_bool),
        ("isRack", ctypes.c_bool),
        ("maxChannels", ctypes.c_short)
    ]
#	struct TLI_DeviceInfo
#	{
#		/// <summary> The device Type ID, see \ref C_DEVICEID_page "Device serial numbers". </summary>
#		DWORD typeID;
#		/// <summary> The device description. </summary>
#		char description[65];
#		/// <summary> The device serial number. </summary>
	#	char serialNo[9];
#		/// <summary> The USB PID number. </summary>
#		DWORD PID;

#		/// <summary> <c>true</c> if this object is a type known to the Motion Control software. </summary>
#		bool isKnownType;
#		/// <summary> The motor type (if a motor).
#		/// 		  <list type=table>
#		///				<item><term>MOT_NotMotor</term><term>0</term></item>
#		///				<item><term>MOT_DCMotor</term><term>1</term></item>
#		///				<item><term>MOT_StepperMotor</term><term>2</term></item>
#		///				<item><term>MOT_BrushlessMotor</term><term>3</term></item>
#		///				<item><term>MOT_CustomMotor</term><term>100</term></item>
#		/// 		  </list> </summary>
#		MOT_MotorTypes motorType;
#		/// <summary> <c>true</c> if the device is a piezo device. </summary>
#		bool isPiezoDevice;
#		/// <summary> <c>true</c> if the device is a laser. </summary>
#		bool isLaser;
#		/// <summary> <c>true</c> if the device is a custom type. </summary>
#		bool isCustomType;
#		/// <summary> <c>true</c> if the device is a rack. </summary>
#		bool isRack;
#		/// <summary> Defines the number of channels available in this device. </summary>
#		short maxChannels;
#	};




dllfile='Thorlabs.MotionControl.IntegratedStepperMotors.dll'
dllfile='Thorlabs.MotionControl.IntegratedStepperMotors.dll'
folder=r'C:\Program Files (x86)\Thorlabs\Kinesis\\'
#dllfile='Thorlabs.MotionControl.DeviceManagerCLI.dll'
dllfile='Thorlabs.MotionControl.DeviceManager.dll'

#caller=ctypes.windll
#caller=ctypes.oledll
caller=ctypes.cdll

for i in glob.glob(folder+'*.dll'):
    try:
        caller.LoadLibrary(i)
    except:
        pass
#dllfile=r'C:\Users\Public\xrf_scanner\Thorlabs.MotionControl.IntegratedStepperMotors.dll'
#dllfile=r'C:\ProgramData\PI\GCSTranslator\PI_GCS2_DLL.dll'
#folder=''

a=caller.LoadLibrary(glob.glob(folder+dllfile)[0])

dllfile='Thorlabs.MotionControl.IntegratedStepperMotors.dll'
b=caller.LoadLibrary(glob.glob(folder+dllfile)[0])

#for i in inspect.getmembers(a._FuncPtr):
#    print i


coma='TLI_BuildDeviceList'
print coma, a[coma]()
coma='TLI_GetDeviceList'
print coma, a[coma]()
coma='TLI_GetDeviceListSize'
print coma, a[coma]()
buff=ctypes.create_string_buffer(100)
coma='TLI_GetDeviceListByTypeExt'
print coma, a[coma](buff,ctypes.c_int(100),ctypes.c_int(45))

#a['TLI_GetDeviceListByTypeExt'](id(buff),100,45)
#Positive: We get the serial number! Negative: It raises an Error
print buff.value

p=buff.value[0:-1]
device_info=TLI_DeviceInfo()

coma='TLI_GetDeviceInfo'
print coma, a[coma](p, ctypes.byref(device_info))

f=''
for i in device_info.description: 
    f+=unichr(i)

print f

s=''
for i in device_info.serialNo: 
    s+=unichr(i)

print s

coma='ISC_Open'
print coma, b[coma](p)

import time
coma='ISC_StartPolling'
print coma, b[coma](p,ctypes.c_int(200))
time.sleep(3)
coma='ISC_ClearMessageQueue'
print coma, b[coma](p)
coma='ISC_Home'
print coma, b[coma](p)

coma='ISC_GetPosition'
pos = ctypes.c_float()
pos=b[coma](p,ctypes.byref(pos))
print coma, pos

currentVelocity=ctypes.c_double()
currentAcceleration=ctypes.c_double()
newVelocity=ctypes.c_double()

currentVelocity=ctypes.c_long()
currentAcceleration=ctypes.c_long()
newVelocity=ctypes.c_long()

currentVelocity=ctypes.c_float(1.)
currentAcceleration=ctypes.c_float(1.)
newVelocity=ctypes.c_float(5e-41)

coma='ISC_GetVelParams'
print coma, b[coma](p,ctypes.byref(currentVelocity),ctypes.byref(currentAcceleration))
print currentVelocity, currentAcceleration

print b['ISC_SetVelParams'](p,ctypes.byref(newVelocity),ctypes.byref(currentAcceleration))
#print currentVelocity, currentAcceleration

position=ctypes.c_float(2.)
coma='ISC_MoveToPosition'
print coma,b[coma](p,ctypes.byref(position))

messageType=ctypes.c_int(0)
messageID=ctypes.c_int(0)
messageData=ctypes.c_long(0)
coma='ISC_WaitForMessage'
print coma,b[coma](p,ctypes.byref(messageType),ctypes.byref(messageID),ctypes.byref(messageData))
print messageType,messageID,messageData

finalrun=False
if finalrun:
    b['ISC_StopPolling'](p)
    b['ISC_Close'](p)